gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.PopoverAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype PopoverAccessible = PopoverAccessible (ManagedPtr PopoverAccessible)
- class (GObject o, IsDescendantOf PopoverAccessible o) => IsPopoverAccessible o
- toPopoverAccessible :: (MonadIO m, IsPopoverAccessible o) => o -> m PopoverAccessible

# Exported types

newtype PopoverAccessible Source #

Memory-managed wrapper type.

Constructors

PopoverAccessible (ManagedPtr PopoverAccessible) |

#### Instances

Instances details

Eq PopoverAccessible Source # |
Instance details Defined in GI.Gtk.Objects.PopoverAccessible Methods (==) :: PopoverAccessible -> PopoverAccessible -> Bool Source # (/=) :: PopoverAccessible -> PopoverAccessible -> Bool Source #
GObject PopoverAccessible Source # |
Instance details Defined in GI.Gtk.Objects.PopoverAccessible
ManagedPtrNewtype PopoverAccessible Source # |
Instance details Defined in GI.Gtk.Objects.PopoverAccessible Methods toManagedPtr :: PopoverAccessible -> ManagedPtr PopoverAccessible Source #
TypedObject PopoverAccessible Source # |
Instance details Defined in GI.Gtk.Objects.PopoverAccessible Methods glibType :: IO GType Source #
HasParentTypes PopoverAccessible Source # |
Instance details Defined in GI.Gtk.Objects.PopoverAccessible
IsGValue (Maybe PopoverAccessible) Source # | Convert `PopoverAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.PopoverAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe PopoverAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe PopoverAccessible) Source #
type ParentTypes PopoverAccessible Source # |
Instance details Defined in GI.Gtk.Objects.PopoverAccessible type ParentTypes PopoverAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Component]

class (GObject o, IsDescendantOf PopoverAccessible o) => IsPopoverAccessible o Source #

Type class for types which can be safely cast to `PopoverAccessible`, for instance with `toPopoverAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf PopoverAccessible o) => IsPopoverAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.PopoverAccessible

toPopoverAccessible :: (MonadIO m, IsPopoverAccessible o) => o -> m PopoverAccessible Source #

Cast to `PopoverAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.